Skip to main content
GET
/
api
/
v1
/
files
/
{id}
Get file by ID
curl --request GET \
  --url https://app.sajn.se/api/v1/files/{id} \
  --header 'authorization: <authorization>'
{
  "id": "<string>",
  "filename": "<string>",
  "mimeType": "<string>",
  "size": 123,
  "visibility": "PRIVATE",
  "url": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "uploadedBy": {
    "id": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "<string>"
  }
}

Headers

authorization
string
required

Bearer token for API authentication

Path Parameters

id
string
required

Response

File information with access URL

File information with access URL

id
string
required

Unique file identifier

filename
string
required

Original filename

mimeType
string
required

MIME type of the file

size
number
required

File size in bytes

visibility
enum<string>
required

File visibility

Available options:
PRIVATE,
PUBLIC
url
string<uri>
required

URL to access the file (signed URL for private, direct URL for public)

createdAt
string<date-time>
required

Date and time when file was uploaded

updatedAt
string<date-time>
required

Date and time when file was last updated

uploadedBy
object
required

User who uploaded the file